<br><br><div class="gmail_quote">On Tue, Sep 20, 2011 at 18:42, Fernando Perez <span dir="ltr">&lt;<a href="mailto:fperez.net@gmail.com">fperez.net@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">

Hi Mark,<br>
<div class="im"><br>
On Tue, Sep 20, 2011 at 5:09 PM, Mark Voorhies &lt;<a href="mailto:mark.voorhies@ucsf.edu">mark.voorhies@ucsf.edu</a>&gt; wrote:<br>
&gt; Just finished submitting a manuscript and have some time to do a bit of IPython hacking.<br>
&gt; It looks like my installed dependencies are sufficiently out of date that I should rebuild<br>
&gt; my environment (Cython/ZMQ/PyZMQ/IPython) from scratch.<br>
<br>
</div>Unless you plan to hack on pyzmq itself, you don&#39;t need cython to just<br>
install pyzmq.<br></blockquote><div><br></div><div>It&#39;s true - the only dev version of anything we currently depend on is tornado (for the notebooks only), since browsers have made websocket protocol changes in the their most recent versions, that are not compatible with the tornado 2.0-release.</div>

<div><br></div><div>And pyzmq is easy_installable *iff* libzmq is in a default place like /usr/local.  Otherwise, you have to run the configure step first, to tell it where libzmq is.</div><div><br></div><div>However, if you do feel like tracking Cython, PyZMQ, IPython, and Tornado, your wish is my command:</div>

<div><a href="https://gist.github.com/1231171">https://gist.github.com/1231171</a></div><div><br></div><div>I just created a brand new Ubuntu 11.04 VM, with no bashrc or anything, and ran:</div><div><br></div><div>$&gt; sudo apt-get install git uuid-dev python-dev python-qt4 python-pygments # the last two are only for the qtconsole</div>

<div>$&gt; export PATH=$HOME/.local:$PATH # add this, and optionally the matching LD_LIBRARY_PATH to your .bashrc</div><div>$&gt; wget <a href="https://raw.github.com/gist/1231171/ipdev.sh">https://raw.github.com/gist/1231171/ipdev.sh</a></div>

<div>$&gt; bash ipdev.sh</div><div><br></div><div>And I have the IPython cluster, notebook server, qtconsole, etc. all ready to run (and git repos for Cython, PyZMQ, IPython, and Tornado in a new `code` directory).</div>
<div>
<br></div><div>If you don&#39;t want to keep the repos around, it&#39;s actually even easier, as you can always install the current git snapshot of projects on github with:</div><div><br></div><div>$&gt; easy_install --user <a href="https://github.com/ipython/ipython/tarball/master">https://github.com/ipython/ipython/tarball/master</a></div>

<div><br></div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;"><div class="im"><br>
&gt; Does anyone have advice for doing a non-system install of these pieces<br>
&gt; (e.g., to $HOME/ipython/) on Ubuntu 10.04, preferably from their VCS versions?<br>
<br>
</div>My standard procesure is just to install things in $HOME/usr/local via<br>
<br>
python setup.py --prefix=$HOME/usr/local<br>
<br>
or<br>
<br>
./configure --prefix=$HOME/usr/local &amp;&amp; make &amp;&amp; make install<br></blockquote><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;"><br>
I have $PATH, $PYTHONPATH, $LD_LIBRARY_PATH and other such variables<br>
configured for this to work out of the box.  If you need a hand with<br>
this I&#39;m happy to send over my bash utils that take care of it.<br></blockquote><div><br></div><div>I do a similar thing, but just use &#39;--user&#39; for Python installs, which go to ~/.local, which I symlink to ~/usr/local, using the two paths interchangeably.  This way, only PATH and LD_LIBRARY_PATH are needed, as Python (&gt;= 2.6) already searches that location by default.  in fact, even LD_LIB.. is often not needed, as rpaths are coded into dylibs, so pyzmq will still work, even without setting the LD_LIB path, but I set it anyway.</div>

<div><br></div><div>-MinRK</div><div><br></div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">
<br>
I&#39;d recommend you go with released versions of zmq/pyzmq, as there&#39;s<br>
no need to use the bleeding edge of those.  If you&#39;re interested in<br>
the web notebook you&#39;ll need tornado from git, that&#39;s currently our<br>
only non-released dependency.<br>
<br>
Looking forward to having you contribute again!  Please let us know if<br>
you get stuck on anything.<br>
<br>
Cheers,<br>
<div><div></div><div class="h5"><br>
f<br>
_______________________________________________<br>
IPython-dev mailing list<br>
<a href="mailto:IPython-dev@scipy.org">IPython-dev@scipy.org</a><br>
<a href="http://mail.scipy.org/mailman/listinfo/ipython-dev" target="_blank">http://mail.scipy.org/mailman/listinfo/ipython-dev</a><br>
</div></div></blockquote></div><br>